#ifndef trigstruct_h
#define trigstruct_h

struct cTrigLevel2 {
  
  int evcount;
  int pmtpl[3];
  int trigrate[6];
  int dltime[2];
  int s4calcount[2];
  int pmtcount1[24];
  int pmtcount2[24];
  int patternbusy[3];
  int patterntrig[6];
  int trigconf;
  
  void InitcTrigLevel2(){
    evcount  = 0;
    trigconf = 0;

    for(int i=0;i<2;i++){
      s4calcount[i] = 0;
      dltime[i]     = 0;
    }
    
    for(int i=0;i<3;i++){
      pmtpl[i]=0;
      patternbusy[i]=0;
    }

    for(int i=0;i<6;i++){
      trigrate[i]=0;
      patterntrig[i]=0;
    }

    for(int i=0;i<24;i++){
      pmtcount1[i]=0;
      pmtcount2[i]=0;
    }
  }
};

#endif
